The Task Type object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

weight number
description string
The Task Type object
{
  "id": "task-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "weight": 0,
  "description": "description_example"
}
GET /api/projects/task-type/{id}

Retrieve a task type

Retrieves the details of an existing task type. Supply the unique task type ID that was returned from a previous request.

Path parameters

id string required

The identifier of the task type to retrieve.

Returns

Returns the task type object if a valid identifier was provided.

GET /api/projects/task-type/{id}
curl https://api.overplane.dev/api/projects/task-type/task-type_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "task-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "weight": 0,
  "description": "description_example"
}
GET /api/projects/task-type

List all task types

Returns a list of task types. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of task type objects.

GET /api/projects/task-type
curl https://api.overplane.dev/api/projects/task-type \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "task-type_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "weight": 0,
      "description": "description_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/projects/task-type

Create a task type

Creates a new task type object.

Body parameters

weight number
description string

Returns

Returns the newly created task type object if the call succeeded.

POST /api/projects/task-type
curl https://api.overplane.dev/api/projects/task-type \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "task-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "weight": 0,
  "description": "description_example"
}
PATCH /api/projects/task-type/{id}

Update a task type

Updates the specified task type by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the task type to update.

Body parameters

weight number
description string

Returns

Returns the updated task type object.

PATCH /api/projects/task-type/{id}
curl https://api.overplane.dev/api/projects/task-type/task-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"weight":0,"description":"description_example"}'
Response
{
  "id": "task-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "weight": 0,
  "description": "description_example"
}
DELETE /api/projects/task-type/{id}

Delete a task type

Permanently deletes a task type. This cannot be undone.

Path parameters

id string required

The identifier of the task type to delete.

Returns

Returns a confirmation that the task type has been deleted.

DELETE /api/projects/task-type/{id}
curl https://api.overplane.dev/api/projects/task-type/task-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "task-type_abc123",
  "deleted": true
}